%global major  4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:          zita-convolver
Summary:       Convolution engine library
Version:       4.0.3
Release:       %mkrel 4
License:       GPLv3+
Group:         System/Libraries
URL:           https://kokkinizita.linuxaudio.org/
Source0:       https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: fftw-devel
BuildRequires: gcc-c++

%description
%{name} is a fast, partitioned convolution engine library.

%package -n %{libname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries

%description -n %{libname}
%{name} is a fast, partitioned convolution engine library.

%package -n %{devname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
%{name} is a fast, partitioned convolution engine library. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%autosetup -p1

# No need to call ldconfig during packaging
sed -i '\|ldconfig|d' source/Makefile
# Preserve timestamps
sed -i 's|install |install -p |' source/Makefile
# Force optflags
sed -i 's|-march=native|%{optflags}|' source/Makefile

%build
pushd source
%make_build  PREFIX=%{_prefix} 
popd

%install
pushd source
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}
popd

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%license COPYING
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.0.3-4.mga10
+ Revision: 2213292
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 4.0.3-3.mga9
+ Revision: 1837677
- Mageia 9 Mass Rebuild

* Mon Mar 09 2020 barjac <barjac> 4.0.3-2.mga8
+ Revision: 1554988
- fix libdir
- new version 4.0.3
- new major 4

* Fri Feb 14 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1522826
- Mageia 8 Mass Rebuild

* Fri Feb 08 2019 barjac <barjac> 3.1.0-1.mga7
+ Revision: 1364334
- Edit spec for Mageia
- Import new package from Fedora


* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Mar 11 2018 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3.1.0-15
- Use Fedora link flags
- Add BR: gcc-c++
- Some cleanup

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.1.0-8
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Brendan Jones <brendan.jones.it@gmail.com> - 3.1.0-1
- updated to 3.1.0
- updated URL

* Mon Oct 31 2011 Brendan Jones <brendan.jones.it@gmail.com> - 3.0.3-2
- Relicensed to GPLv3+

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 3.0.3-1
- updated to 3.0.3

* Wed Oct 19 2011 Brendan Jones <brendan.jones.it@gmail.com> - 3.0.2-1
- updated to 3.0.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 17 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 2.0.0-2
- Fix compilation flags on i686, causing us SELinux denials. RHBZ#615650

* Wed Dec 16 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 2.0.0-1
- updated to 2.0.0

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.0-2
- prepare package for Fedora submission (SPEC file from PlanetCCRMA)

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- initial release
